config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/geoclue/geoclue.conf.new

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
( cd usr/lib64 ; rm -rf libgeoclue-2.so )
( cd usr/lib64 ; ln -sf libgeoclue-2.so.0 libgeoclue-2.so )
( cd usr/lib64 ; rm -rf libgeoclue-2.so.0 )
( cd usr/lib64 ; ln -sf libgeoclue-2.so.0.0.0 libgeoclue-2.so.0 )
